<template>
    <div>
        <div
            id="accordion"
            class="msb"
        >
            <div>
                <nav
                    class="navbar navbar-default"
                    role="navigation"
                >
                    <div class="navbar-header">
                        <div class="brand-wrapper">
                            <div class="brand-name-wrapper">
                                <switch-platform @updPlatform="$emit('updPlatform')" />
                            </div>
                        </div>
                    </div>
                </nav>
            </div>
            <div class="nav-profile">
                <ul class="nav navbar-nav">
                    <template v-for="(item, index) in headerData">
                        <li
                            v-if="!item.permissions || item.permissions && checkAvailability(platform, item.permissions)"
                            :key="index"
                            class="panel panel-default"
                        >
                            <router-link :to="item.route">
                                <div class="nav-title-row-profile">
                                    <div class="nav-title">
                                        {{ item.title }}
                                    </div>
                                </div>
                            </router-link>
                        </li>
                    </template>
                    <li class="panel panel-default logout">
                        <a @click="logOut">
                            <div class="nav-title-row-profile">
                                <div class="nav-title">
                                    <i class="fa fa-user-circle-o profile-icon" />Log Out
                                </div>
                            </div>
                        </a>
                    </li>
                </ul>
            </div>
        </div>
    </div>
</template>

<script>
import {mapState} from 'vuex'
import {check} from '@/mixins/check.js'
import {PLATFORMS} from '@/store/constants.js'
import SwitchPlatform from './SwitchPlatform.vue'

export default {
    name: "SuperHeader",
    components: {
        SwitchPlatform
    },
    mixins: [check],
    data() {
        return {
            headerData: [
                {
                    title: 'Dashboard',
                    route: '/admin/dashboard'
                },
                {
                    title: 'Shops',
                    route: '/admin/shops'
                },
                {
                    title: 'Discount Links',
                    route: '/admin/discount-links',
                    permissions: ['shopify'],
                },
                {
                    title: 'Users',
                    route: '/admin/users'
                },
                // {
                //     title: 'Affiliates',
                //     route: '/admin/affiliate'
                // },
                // {
                //     title: 'Token Expiration Emails',
                //     route: '/admin/token-expiration-emails'
                // },
                {
                    title: 'Geo Permissions (SMS)',
                    route: '/admin/geo-permissions'
                },
                {
                    title: 'Logs',
                    route: '/admin/logs'
                },
                {
                    title: 'Terminal',
                    route: '/admin/terminal'
                }
            ],
        }
    },
    computed: {
        ...mapState(['platform']),
    },
    methods: {
        logOut() {
            $cookies.remove('token_shopify')
            $cookies.remove('token_wix')
            $cookies.remove('platform')
            this.$router.push('/admin')
        },
    }
}
</script>

<style scoped lang="scss">
@import "../../../css/colors";

.header {
    &__title {
        color: white;
        margin-left: 15px;
        text-transform: capitalize;
    }
}

.nav-profile {
    .my-icon-invisible {
        color: transparent;
        margin-right: 20px;
    }

    .profile-icon {
        font-size: 20px;
        margin-right: 12px;
    }

    li {
        display: block;
        margin-left: 30px;

        a {
            cursor: pointer;
            padding: 15px 10px 0 25px;
            color: white;
            font-size: 14px;
            font-weight: 400;
            display: flex;
            width: 100%;

            &:hover {
                color: #9BC0FF;
            }
        }
    }
}

.navbar-default {
    background-color: #FFF;
    margin-left: 200px;
}

.logout {
    position: absolute;
    bottom: 30px;
}

.nav-title-row {
    display: flex;
    align-items: center;
    margin-bottom: 7px;
    margin-top: 7px;
    width: 100%;
    justify-content: space-between;
}

.my-icon {
    margin-right: 12px;
    width: 19px;
}

.msb {
    width: 250px;
    position: fixed;
    left: 0;
    top: 0;
    right: auto;
    min-height: 100%;
    overflow-y: auto;
    white-space: nowrap;
    height: 100%;
    z-index: 1;
    background: linear-gradient(to bottom, #4786FF 0%, #6ba2ff 100%);


    .side-menu-container {
        width: 100%;
        font-size: 14px;
        font-weight: 400;
    }

    .navbar {
        border: none;
        margin-left: 0;
        background-color: inherit;
        padding: 0;
    }

    .navbar-header {
        width: 100%;
        padding: 10px 25px;
        border-bottom: 1px solid #6ba1ff;
    }

    .navbar-nav {
        .panel {
            cursor: pointer;
            border: 0 none;
            box-shadow: none;
            margin: 0;
            background: inherit;
        }

        li {
            display: block;
            margin-left: 30px;

            a {
                padding: 15px 40px 0 40px;
                color: white;
                display: flex;
                width: 100%;

                &:hover {
                    color: #9BC0FF;
                }

                .glyphicon, .fa {
                    margin-right: 8px;
                }
            }
        }
    }

    .nb {
        padding-top: 5px;
        padding-left: 10px;
        margin-bottom: 30px;
        overflow: hidden;

    }
}

ul.nv,
ul.ns {
    position: relative;
    padding: 0;
    list-style: none;
}

.nv {
    li {
        display: block;
        position: relative;

        &::before {
            clear: both;
            content: "";
            display: table;
        }

        a {
            color: #444;
            padding: 10px 25px;
            display: block;
            vertical-align: middle;

            .ic {
                font-size: 16px;
                margin-right: 5px;
                font-weight: 300;
                display: inline-block;
            }
        }
    }

    .ns {
        li {
            a {
                padding: 10px 50px;
            }
        }

    }
}

a,
a:focus,
a:hover {
    text-decoration: none;
}


</style>
